Bug 237635 - [PATCH] grep(1) manpage uses `patches` instead of `matches` in several places
Summary: [PATCH] grep(1) manpage uses `patches` instead of `matches` in several places
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gordon Bergling
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-04-29 05:00 UTC by durin42
Modified: 2020-08-10 06:20 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description durin42 2019-04-29 05:00:15 UTC
I noticed that the grep(1) manpage uses `patches` instead of `matches` in a few places. Patch included:

# HG changeset patch
# User Augie Fackler <raf@durin42.com>
# Date 1556513519 14400
#      Mon Apr 29 00:51:59 2019 -0400
# Node ID c9277104cbfddcd5c951279b397d99462b1a7ea2
# Parent  a2357d0e59090c8ff32b3e91e749a474c315f8d6
bsdgrep(1): fix some typos that read `patches` instead of `matches`.

diff --git a/grep.1 b/grep.1
--- a/grep.1
+++ b/grep.1
@@ -209,7 +209,7 @@ Note that
 and
 .Fl Fl include
 patterns are processed in the order given.
-If a name patches multiple patterns, the latest matching rule wins.
+If a name matches multiple patterns, the latest matching rule wins.
 If no
 .Fl Fl include
 pattern is specified, all files are searched that are
@@ -228,7 +228,7 @@ Note that
 and
 .Fl Fl include-dir
 patterns are processed in the order given.
-If a name patches multiple patterns, the latest matching rule wins.
+If a name matches multiple patterns, the latest matching rule wins.
 If no
 .Fl Fl include-dir
 pattern is specified, all directories are searched that are
@@ -284,7 +284,7 @@ Note that
 and
 .Fl Fl exclude
 patterns are processed in the order given.
-If a name patches multiple patterns, the latest matching rule wins.
+If a name matches multiple patterns, the latest matching rule wins.
 Patterns are matched to the full path specified,
 not only to the filename component.
 .It Fl Fl include-dir Ar pattern
@@ -298,7 +298,7 @@ Note that
 and
 .Fl Fl exclude-dir
 patterns are processed in the order given.
-If a name patches multiple patterns, the latest matching rule wins.
+If a name matches multiple patterns, the latest matching rule wins.
 .It Fl L , Fl Fl files-without-match
 Only the names of files not containing selected lines are written to
 standard output.
Comment 1 commit-hook freebsd_committer 2020-08-07 16:01:45 UTC
A commit references this bug:

Author: gbe
Date: Fri Aug  7 16:01:05 UTC 2020
New revision: 364021
URL: https://svnweb.freebsd.org/changeset/base/364021

Log:
  grep(1): correct typos for 'if a name patches' to 'if a name matches'

  PR:		237635
  Submitted by:	durin42 <raf atdurin42 dot com>
  Reviewed by:	kevans
  Approved by:	kevans
  MFC after:	3 days
  Differential Revision:	https://reviews.freebsd.org/D25994

Changes:
  head/usr.bin/grep/grep.1
Comment 2 Gordon Bergling freebsd_committer 2020-08-07 16:02:44 UTC
Committed, thanks for the patch!
Comment 3 commit-hook freebsd_committer 2020-08-10 06:19:51 UTC
A commit references this bug:

Author: gbe
Date: Mon Aug 10 06:19:33 UTC 2020
New revision: 364061
URL: https://svnweb.freebsd.org/changeset/base/364061

Log:
  MFC r364021: grep(1): correct typos for 'if a name patches' to 'if a name matches'

  PR:		237635
  Submitted by:	durin42 <raf atdurin42 dot com>
  Reviewed by:	kevans
  Approved by:	kevans
  Differential Revision:	https://reviews.freebsd.org/D25994

Changes:
_U  stable/12/
  stable/12/usr.bin/grep/grep.1